%define debug_package %{nil}

Name:           ocaml-ulex
Version:        1.1
Release:        %mkrel 17
Summary:        A lexer generator for Unicode and OCaml
URL:            http://www.cduce.org/
Source0:        http://www.cduce.org/download/ulex-%{version}.tar.bz2
Patch0:         ocaml-ulex-1.0.install_flags.patch
License:        GPL
Group:          Development/OCaml
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  ocaml-findlib
Requires:       ocaml-camlp4

%description
ulex is a lexer generator for Unicode and OCaml written by Alain Frisch.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n ulex-%{version}
%autopatch -p1

%build
make all all.opt
mkdir doc && ocamldoc -html ulexing.mli -d doc

%install
mkdir -p %{buildroot}%{_libdir}/ocaml
make install OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml

%files
%doc CHANGES README LICENSE
%dir %{_libdir}/ocaml/ulex
%{_libdir}/ocaml/ulex/*.cmi
%{_libdir}/ocaml/ulex/*.cma
%{_libdir}/ocaml/ulex/META

%files devel
%doc doc/
%{_libdir}/ocaml/ulex/*.a
%{_libdir}/ocaml/ulex/*.cmx
%{_libdir}/ocaml/ulex/*.cmxa
%{_libdir}/ocaml/ulex/*.mli


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 1.1-17.mga6
+ Revision: 1056450
- Rebuild for fix in ocaml

* Fri Feb 12 2016 umeabot <umeabot> 1.1-16.mga6
+ Revision: 956671
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 1.1-15.mga6
+ Revision: 893226
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 1.1-14.mga5
+ Revision: 749068
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-13.mga5
+ Revision: 683121
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1-12.mga4
+ Revision: 534728
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 malo <malo> 1.1-11.mga4
+ Revision: 478657
- rebuild for new ocaml

* Sun Jan 13 2013 umeabot <umeabot> 1.1-10.mga3
+ Revision: 361674
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 1.1-9.mga3
+ Revision: 343669
- rebuild for new ocaml
- drop buildrequires to mysql-devel

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.1-8.mga3
+ Revision: 301418
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.1-6.mga3
+ Revision: 300580
- new rpm group for ocaml

* Mon Aug 06 2012 blue_prawn <blue_prawn> 1.1-5.mga3
+ Revision: 279532
- added the ocamldoc html api documentation

* Sun Apr 22 2012 malo <malo> 1.1-4.mga2
+ Revision: 232703
- add missing requires to camlp4

* Fri Apr 13 2012 blue_prawn <blue_prawn> 1.1-3.mga2
+ Revision: 230617
- Imported package from Mandriva


* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 389930
- rebuild

* Sun Dec 28 2008 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 320721
- move non-devel files into main package
- site-lib hierarchy doesn't exist anymore

* Thu Aug 14 2008 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 272043
- update to new version 1.1

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org>
+ Revision: 254376
- rebuild

* Tue Mar 04 2008 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 178370
- rebuild

* Fri Dec 21 2007 Olivier Blin <blino@mandriva.org>
+ Revision: 136634
- restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org>
+ Revision: 130848
- kill re-definition of %%buildroot on Pixel's request

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 77681
- drop macro definition, now in rpm-mandriva-setup
- ship .cmi file in non-devel subpackage

* Thu Jun 07 2007 Per Øyvind Karlsen <peroyvind@mandriva.org>
+ Revision: 36883
- new release: 1.0
- regenerate P0

* Thu Apr 12 2007 Root <root@mandriva.org>
+ Revision: 6063
- import ocaml-ulex-0.9-2mdv2007.1
